Users
Update user address
Update the physical address for a user account.
PATCH
/
users
/
me
/
address
Update user address
curl --request PATCH \
--url https://{host}/users/me/address \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-user-id: <x-user-id>' \
--data '
{
"address": {
"line1": "15 Ermou Street",
"line2": "Apartment 4B",
"city": "Athens",
"postalCode": 10563,
"countryCode": "GR"
}
}
'import requests
url = "https://{host}/users/me/address"
payload = { "address": {
"line1": "15 Ermou Street",
"line2": "Apartment 4B",
"city": "Athens",
"postalCode": 10563,
"countryCode": "GR"
} }
headers = {
"x-user-id": "<x-user-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-user-id': '<x-user-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
address: {
line1: '15 Ermou Street',
line2: 'Apartment 4B',
city: 'Athens',
postalCode: 10563,
countryCode: 'GR'
}
})
};
fetch('https://{host}/users/me/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Authorizations
Auth0-issued access token that includes the scopes listed for the endpoint.
Headers
MongoDB ObjectId of the authenticated user
Pattern:
^[a-f0-9]{24}$Body
application/json
Physical address. Overwrites any existing address.
Show child attributes
Show child attributes
Response
Address updated successfully
⌘I
Update user address
